import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class MessageArea extends JPanel {
    JTextField msg = new JTextField();
    JTextField textField;
    JButton btn;
    private String username;
    private static final String BTN_TXT = "Send Message";
    private ChatRoomGUI chatRoomGUI;

    public MessageArea(ChatRoomGUI chatRoomGUI) {
        super();
        this.chatRoomGUI = chatRoomGUI;
        this.setLayout(new BorderLayout());
        textField = new JTextField();
        add(textField, BorderLayout.CENTER);
        btn = new JButton(BTN_TXT);
        add(btn, BorderLayout.EAST);
        btn.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                doClickAction();
            }
        });
        setVisible(true);
    }

    public void doClickAction() {
        this.chatRoomGUI.addMessage(textField.getText());
    }
    public void reset(){
        this.textField.setText("");
    }

}
