import javax.swing.*;
import java.awt.*;

public class ParticipantsArea extends JPanel {

    private static final String LABEL_TXT = "Online People: ";
    DefaultListModel model;

    public ParticipantsArea() {
        super();
        this.setLayout(new BorderLayout());
        JLabel label = new JLabel(LABEL_TXT);
        add(label, BorderLayout.PAGE_START);
        model = new DefaultListModel();
        JList list = new JList(model);
        add(list, BorderLayout.CENTER);
        setVisible(true);

    }

    public void addNewParticipant(String username) {
        model.addElement(username);
    }

    public void removeParticipant(String username) {
        model.removeElement(username);
    }
}
